[SciPy-user] Bad publicity, was:Re: problems with signal-functions impulse and step ...

Robert Kern robert.kern@gmail....
Mon Apr 16 14:56:39 CDT 2007


Stef Mientki wrote:
>>>>> import scipy
>>>>> print scipy.__version__
>>>>>         
>> 0.5.3.dev2819
>>
>>   
> thanks Robert,
> so the Enthought edition I use, has  Scipy 0.5.0.2033
> 
>>> the second thing the want to see is the impuls response.
>>> If indeed these functions are so buggy,
>>>     
>> They're not anymore.
>>   
> That's very good to hear !
> I now see there's a version 0.5.2 for win32, for Python 2.4 and 2.5.
> Has 0.5.2 already signal functions ?

I don't know when the bug got fixed.

> Now I've installed the Enthought edition,
> and that one is still based on Scipy 0.5.0.2033.
> 
> Can I just install Scipy 0.5.2 (for Python 2.4 I guess),

Yes, for 2.4.

> over the existing Enthought edition ?

I would remove the c:\Python24\Lib\site-packages\scipy\ directory first.

> Will there be a new Enthought edition (soon) ?

Not in the same monolithic installer, no. We are distributing eggs now,
including current builds of scipy.

  http://code.enthought.com/enstaller/

Note that the version numbers listed on that page are out-of-date. We make
nightly builds of scipy from SVN.

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless enigma
 that is made terrible by our own mad attempt to interpret it as though it had
 an underlying truth."
  -- Umberto Eco


More information about the SciPy-user mailing list